Bug 623346 - pinot may need to be rebuilt against Python 2.7 in F14 and rawhide
Summary: pinot may need to be rebuilt against Python 2.7 in F14 and rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pinot
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 623233
Blocks: Python27Rebuild
TreeView+ depends on / blocked
 
Reported: 2010-08-11 18:34 UTC by Dave Malcolm
Modified: 2011-09-04 19:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-04 19:35:47 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2010-08-11 18:34:01 UTC
This is an automatically-filed bug.

pinot-0.94-5.fc14 contains one or more .pyc files, but has not been rebuilt since Python 2.7 was built for Fedora, and thus the .pyc files presumably are for Python 2.6.  Python 2.7 changed the bytecode format, so usage of those files will typically fail (see e.g. bug 621726).

The package needs to be rebuilt against python 2.7 in both F14 and devel.

Information on the new "dist-git" system can be seen here:
  http://fedoraproject.org/wiki/Using_Fedora_GIT

Information on common difficulties with Python 2.7 rebuilds can be seen here:
  https://fedoraproject.org/wiki/Features/Python_2.7

Once it's been successfully rebuilt for F14, an update needs to be filed to get the rebuild into F14:
  https://admin.fedoraproject.org/updates/new/

Please add this bug to the update, to make it easy to track what's been done, and what's left to do.

I'm sorry that this component was not handled by the mass rebuild.  (This may be due to bug 623233)

Comment 1 Dave Malcolm 2010-08-12 00:40:25 UTC
I tried to rebuild this, but it failed:
http://koji.fedoraproject.org/koji/getfile?taskID=2395187&name=build.log

+ echo 'Patch #1 (pinot-0.94-gmime26.patch):'
Patch #1 (pinot-0.94-gmime26.patch):
+ /bin/cat /builddir/build/SOURCES/pinot-0.94-gmime26.patch
+ /usr/bin/patch -s -p1 -b --suffix .gmime26 --fuzz=0
1 out of 1 hunk FAILED -- saving rejects to file configure.in.rej

Comment 2 Martin Dengler 2011-05-03 18:17:36 UTC
The patches may not be necessary; without them, and with a small tweak, the latest v0.97 builds: http://koji.fedoraproject.org/koji/taskinfo?taskID=3048123

Comment 3 Toshio Ernie Kuratomi 2011-09-02 16:16:14 UTC
drag01, I see that you've taken over and gotten this building now.  I think this can be closed.

http://koji.fedoraproject.org/koji/buildinfo?buildID=244737

Comment 4 Adel Gadllah 2011-09-04 19:35:47 UTC
(In reply to comment #3)
> drag01, I see that you've taken over and gotten this building now.  I think
> this can be closed.
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=244737

Yeah.


Note You need to log in before you can comment on or make changes to this bug.